## applet-touchcruiser 0.2

=== Makefile ===
PKGCONFIG = /usr/bin/pkg-config
CFLAGS  = $(shell $(PKGCONFIG) --cflags libpanelapplet-2.0)
LDFLAGS = $(shell $(PKGCONFIG) --libs libpanelapplet-2.0)
OPTION  = -g -Wall
BINDIR  = /usr/bin
LIBDIR  = /usr/lib/bonobo/servers
ICON    = /usr/share/touchcruiser
PIXMAPS = /usr/share/pixmaps

applet-touchcruiser:
		gcc $(OPTION) $(CFLAGS) $(LDFLAGS) -o applet-touchcruiser applet-touchcruiser.c
		gcc $(OPTION) $(CFLAGS) $(LDFLAGS) -o indicate-touchcruiser indicate-touchcruiser.c
		gcc $(OPTION) $(CFLAGS) $(LDFLAGS) -o entry-touchcruiser entry-touchcruiser.c

install:
		install -d ${DESTDIR}${BINDIR}
		install -d ${DESTDIR}${LIBDIR}
		install -d ${DESTDIR}${ICON}
		install -d ${DESTDIR}${PIXMAPS}
		install -m 755 applet-touchcruiser ${DESTDIR}${BINDIR}
		install -m 755 indicate-touchcruiser ${DESTDIR}${BINDIR}
		install -m 755 entry-touchcruiser ${DESTDIR}${BINDIR}
		install -m 644 applet-touchcruiser.server ${DESTDIR}${LIBDIR}
		install -m 644 cursor.png ${DESTDIR}${ICON}
		install -m 644 wheel.png  ${DESTDIR}${ICON}
		install -m 644 cursor.png  ${DESTDIR}${PIXMAPS}

clean:
		rm -f applet-touchcruiser indicate-touchcruiser entry-touchcruiser

=== debian/changelog ===
applet-touchcruiser (0.2) araneo; urgency=low

  * Initial release of Sharp's applet-touchcruiser package (LP: #402055)
  * Added packages to Build-Depends 

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Wed, 05 Aug 2009 10:53:20 -0400

=== debian/control ===
Source: applet-touchcruiser
Section: x11
Priority: optional
Maintainer: Administrator <a@a>
Build-Depends: debhelper (>= 7), pkg-config (>= 0.22-1), libpanelappletmm-2.6-dev
Standards-Version: 3.8.0
Homepage: <insert the upstream URL, if relevant>

Package: applet-touchcruiser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/applet-touchcruiser.sgml > applet-touchcruiser.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	# Add here commands to install the package into debian/applet-touchcruiser.
	$(MAKE) DESTDIR=$(CURDIR)/debian/applet-touchcruiser install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
